API endpoint
https://phplens.lunatio.com/api/v1/prompts
Request example
curl --location --request GET 'https://phplens.lunatio.com/api/v1/prompts' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parameters
search
search_by
query for Query, project for Project. Defaults to: query.
project_id
favorite
sort_by
id for Date created, query for Query. Defaults to: id.
sort
desc for Descending, asc for Ascending. Defaults to: desc.
per_page
10, 25, 50, 100. Defaults to: 10.
API endpoint
https://phplens.lunatio.com/api/v1/prompts/{id}
Request example
curl --location --request GET 'https://phplens.lunatio.com/api/v1/prompts/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
API endpoint
https://phplens.lunatio.com/api/v1/prompts
Request example
curl --location --request POST 'https://phplens.lunatio.com/api/v1/prompts' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}' \ --data-urlencode 'project_id={project_id}' \ --data-urlencode 'query={query}'
Parameters
project_id
query
API endpoint
https://phplens.lunatio.com/api/v1/competitors/{id}
Request example
curl --location --request PUT 'https://phplens.lunatio.com/api/v1/competitors/{id}' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}'
Parameters
query
API endpoint
https://phplens.lunatio.com/api/v1/prompts/{id}
Request example
curl --location --request DELETE 'https://phplens.lunatio.com/api/v1/prompts/{id}' \ --header 'Authorization: Bearer {api_key}'